FREEBSD.KENV(3lua)

NAME
freebsd.kenv - Lua binding to FreeBSD 's Linker functions

SYNOPSIS

    local kenv = require('freebsd.kenv')

table = kenv.get()
value = kenv.get(key)

DESCRIPTION
The freebsd.kenv module is a binding to the kenv(2) function.

List of functions:

table = freebsd.kenv.get()
    Dump the kernel environment into a key/value table.

value = freebsd.kenv.get(key)
    Return the value associated to the key, if it exists, or nil otherwise.

SEE ALSO
kenv(2)